import request from '@/utils/request';

// 头部分类
export function getProductCategoryTree(query: any) {
  return request({
    url: '/product/industryProduct/getProductCategoryTree',
    method: 'get',
    params: query
  });
}

// 头部轮播
export function getHomeAdList(query: any) {
  return request({
    url: '/system/industrySystem/getHomeAdList',
    method: 'get',
    params: query
  });
}

//头部会员权益
export function getHomeIconAd(query: any) {
  return request({
    url: '/system/industrySystem/getHomeIconAd',
    method: 'get',
    params: query
  });
}

//轮播展位商品(工业装修-轮播展位商品)
export function getCarouselDisplayProductList(query: any) {
  return request({
    url: '/product/industryProduct/getCarouselDisplayProductList',
    method: 'get',
    params: query
  });
}

//商业标签(工业装修-商业标签)

export function getBusinessLabelList(query: any) {
  return request({
    url: '/system/industrySystem/getBusinessLabelList',
    method: 'get',
    params: query
  });
}

//循环

export function getIndustrialFloor(query: any) {
  return request({
    url: '/product/industryProduct/getIndustrialFloor',
    method: 'get',
    params: query
  });
}

//循环-商品

export function getIndustrialFloorProductList(query: any) {
  return request({
    url: '/product/industryProduct/getIndustrialFloorProductList',
    method: 'get',
    params: query
  });
}

//循环-品牌

export function getIndustrialFloorBrand(query: any) {
  return request({
    url: '/product/industryProduct/getIndustrialFloorBrand',
    method: 'get',
    params: query
  });
}

//为你推荐-分类
export function getRecommendedCategory(query: any) {
  return request({
    url: '/product/industryProduct/getRecommendedCategory',
    method: 'get',
    params: query
  });
}

//为你推荐-商品
export function getRecommendedCategoryProductList(query: any) {
  return request({
    url: '/product/industryProduct/getRecommendedCategoryProductList',
    method: 'get',
    params: query
  });
}
